Transaction Status
This API is used by partners to request the status of an ongoing authentication or provisioning transaction. It helps in monitoring the transaction progress and managing any necessary follow-up actions
API Description
Method : POST
URL : https://{environment-url}/realms/{partner-id}/protocol/api/status
Parameters
client_id: A unique client id that is shared for each partner.client_secret: A unique key that is generated for each parter and will be provided by VIDA.session_identifier: Session id received in response of Transaction Initiation API.
Transaction Status
POST https://{environment-url}/realms/{partner-id}/protocol/api/status
Query Parameters
client_id*
String
A unique client id that is shared for each partner.
client_secret*
String
A unique key that is generated for each partner and will be provided by VIDA
session_identifier*
String
Session id received in response of Transaction Initiation API
Headers
Content-Type*
String
application/x-www-form-urlencoded
Transaction Status
INITIATED: The transaction has been initiated.
COMPLETE: The transaction has been successfully completed
FAILED : The transaction has been failed
KILLED : The transaction has been killed using the Kill Transaction API
TIMEOUT: The transaction has exceeded the allowed time duration without completing.
Success Response
Response Schema
Error Response
Response Schema
Last updated
